Skip to main content
GET
/
fact-metrics
cURL
curl https://api.growthbook.io/api/v1/fact-metrics \
  -u secret_abc123DEF456:
{
  "factMetrics": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "owner": "<unknown>",
      "projects": [
        "<string>"
      ],
      "tags": [
        "<string>"
      ],
      "datasource": "<string>",
      "metricType": "proportion",
      "numerator": {
        "factTableId": "<string>",
        "column": "<string>",
        "aggregation": "sum",
        "filters": [
          "<string>"
        ],
        "inlineFilters": {},
        "rowFilters": [
          {
            "operator": "=",
            "values": [
              "<string>"
            ],
            "column": "<string>"
          }
        ],
        "aggregateFilterColumn": "<string>",
        "aggregateFilter": "<string>"
      },
      "inverse": true,
      "cappingSettings": {
        "type": "none",
        "value": 123,
        "ignoreZeros": true
      },
      "windowSettings": {
        "type": "none",
        "delayValue": 123,
        "delayUnit": "minutes",
        "windowValue": 123,
        "windowUnit": "minutes"
      },
      "regressionAdjustmentSettings": {
        "override": true,
        "enabled": true,
        "days": 123
      },
      "riskThresholdSuccess": 123,
      "riskThresholdDanger": 123,
      "minPercentChange": 123,
      "maxPercentChange": 123,
      "minSampleSize": 123,
      "targetMDE": 123,
      "managedBy": "",
      "dateCreated": "2023-11-07T05:31:56Z",
      "dateUpdated": "2023-11-07T05:31:56Z",
      "denominator": {
        "factTableId": "<string>",
        "column": "<string>",
        "filters": [
          "<string>"
        ],
        "inlineFilters": {},
        "rowFilters": [
          {
            "operator": "=",
            "values": [
              "<string>"
            ],
            "column": "<string>"
          }
        ]
      },
      "quantileSettings": {
        "type": "event",
        "ignoreZeros": true,
        "quantile": 0.5
      },
      "displayAsPercentage": true,
      "archived": true,
      "metricAutoSlices": [
        "<string>"
      ]
    }
  ],
  "limit": 123,
  "offset": 123,
  "count": 123,
  "total": 123,
  "hasMore": true,
  "nextOffset": 123
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Query Parameters

limit
integer
default:10

The number of items to return

offset
integer
default:0

How many items to skip (use in conjunction with limit for pagination)

datasourceId
string

Filter by Data Source

projectId
string

Filter by project id

factTableId
string

Filter by Fact Table Id (for ratio metrics, we only look at the numerator)

Response

200 - application/json

Success

factMetrics
object[]
required
limit
integer
required
offset
integer
required
count
integer
required
total
integer
required
hasMore
boolean
required
nextOffset
integer | null
required